/// <reference types="node" />
export declare const NEWLINE: number;
export declare class Message {
    /**
     * Escapes all newlines and backslashes in a buffer.
     * @param data The buffer that needs to be escaped.
     */
    static escape(data: Buffer): Buffer;
    /**
     * Reverts all changes of the escape method.
     * @param data Data that needs to be unescaped.
     */
    static unescape(data: Buffer): Buffer;
}
